org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedFindClassByName

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedFindClassByName

- All Implemented Interfaces:
    PrivilegedAction<Class<?>>
  Enclosing class:
    WebappClassLoaderBase

      protected class WebappClassLoaderBase.PrivilegedFindClassByName
      extends Object
      implements PrivilegedAction<Class<?>>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### run

          public Class<?> run()

      Specified by:
        `run` in interface `PrivilegedAction<Class<?>>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.